/* Responsive Design */
@media (max-width: 1100px) {
  .container {
    width: 90%;
  }

  .form-inline-container {
    flex-direction: column;
  }

  .left-section,
  .right-section {
    flex: 1;
    padding: 20px;
  }

  .left-section h1,
  .right-section h2 {
    font-size: 1.8rem;
  }

  .supported-websites {
    gap: 15px;
  }

  .btn {
    font-size: 0.9rem;
    padding: 8px 12px;
  }

  html,
  body {
    overflow: scroll;
  }
}

@media (max-width: 1024px) {
  .container {
    width: 90%;
    height: auto;
    flex-direction: column;
  }

  .left-section,
  .right-section {
    flex: 1;
    padding: 20px;
  }

  .left-section h1,
  .right-section h2 {
    font-size: 1.8rem;
  }

  .left-section h1,
  .left-section h2,
  .left-section h3 {
    margin-bottom: 0;
  }

  .supported-websites {
    gap: 15px;
  }

  .btn {
    font-size: 0.9rem;
    padding: 8px 12px;
  }

  html,
  body {
    overflow: scroll;
  }
}

@media (max-width: 768px) {
  body {
    height: auto;
    background-color: #ffe985;
  }

  .container {
    width: 100%;
  }

  .left-section h1,
  .right-section h2 {
    font-size: 1.6rem;
  }

  .left-section h1,
  .left-section h2,
  .left-section h3 {
    margin-bottom: 0;
  }

  .left-section h3 {
    font-size: 1.1rem;
  }

  .left-section p,
  ul,
  .right-section p {
    font-size: 0.9rem;
    line-height: 1.4;
  }

  .supported-websites {
    flex-wrap: wrap;
  }

  .website-item {
    justify-content: center;
  }

  .website-logo {
    height: 25px;
  }

  input[type="text"],
  input[type="email"],
  input[type="password"],
  input[type="url"] {
    padding: 6px;
    font-size: 0.9rem;
  }

  .btn {
    font-size: 0.85rem;
    padding: 8px 10px;
  }

  .google-login img {
    height: 18px;
  }

  html,
  body {
    overflow: scroll;
  }
}

@media (max-width: 480px) {
  body {
    height: auto;
  }

  .container {
    width: 100%;
    height: auto;
    flex-direction: column;
    border-radius: 0;
    box-shadow: none;
  }

  .left-section {
    padding: 20px 15px 15px;
  }

  .left-section ul {
    padding-left: 15px;
  }

  .right-section {
    padding: 15px;
  }

  .left-section h1,
  .right-section h2 {
    font-size: 1.4rem;
  }

  .left-section h2,
  .right-section h2 {
    font-size: 1.2rem;
  }

  .left-section h1,
  .left-section h2,
  .left-section h3 {
    margin-bottom: 0;
  }

  .left-section p,
  ul,
  .right-section p {
    font-size: 0.8rem;
  }

  .supported-websites {
    gap: 10px;
  }

  .website-logo {
    height: 15px;
  }

  .btn {
    font-size: 0.8rem;
    padding: 6px 8px;
  }

  .login-buttons {
    flex-direction: column;
  }

  input[type="text"],
  input[type="email"],
  input[type="password"],
  input[type="url"] {
    font-size: 0.8rem;
    padding: 5px;
  }

  #price-info {
    font-size: 0.6rem;
  }

  html,
  body {
    overflow: scroll;
  }
}
